## qtwebkit-source 2.0.0

=== debian/changelog ===
qtwebkit-source (2.0.0-0ubuntu1~unity2d1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Wed, 13 Apr 2011 11:24:31 -0600

qtwebkit-source (2.0.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Sep 2010 15:41:01 +0100

qtwebkit-source (2.0~week31-0ubuntu2) maverick; urgency=low

  * Installing the QML plugin for QtWebKit and added the package for it.

 -- Rodrigo Belem <rclbelem@gmail.com>  Thu, 09 Sep 2010 19:40:36 -0400

qtwebkit-source (2.0~week31-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 01 Sep 2010 21:00:20 +0200

qtwebkit-source (2.0~week27-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add kubuntu_01_phonon.diff, force it to build with phonon support

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Jul 2010 11:25:55 +0100

qtwebkit-source (2.0~week26-2ubuntu1) maverick; urgency=low

  * Rename source package to qtwebkit-source.
  * Make libqtwebkit-dev provide/replace/conflict libqt4-webkit-dev.
  * Add versioned replaces/breaks against the libqt4-webkit* transitional
    packages.
  * Build packages with lzma compression.
  * Call dh_makeshlibs with "-V".

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 19 Jul 2010 00:38:51 +0200

qtwebkit (2.0~week26-2) experimental; urgency=low

  * Fix FTBFS on GNU/kFreeBSD caused by missing strnstr() on glibc systems.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Jul 2010 09:51:03 +0300

qtwebkit (2.0~week26-1) experimental; urgency=low

  * Initial release (Closes: #576006)

 -- Fathi Boudra <fabo@debian.org>  Fri, 02 Jul 2010 15:37:23 +0300
