## qtwebkit-source 2.1~really2.0.2

=== debian/changelog ===
qtwebkit-source (2.1~really2.0.2-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Adapt 04_enable_debug_information.diff to new upstream version.
  * Add the QtDesigner qwebview plugin. (LP: #674367)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 08 Mar 2011 12:03:10 +0100

qtwebkit-source (2.1~really2.0.1-0ubuntu1) natty; urgency=low

  * Revert to package version 2.0.0-0ubuntu1. QtWebkit 2.1 is only supported
    on Symbian. (LP: #710582)
  * New upstream version 2.0.1.
  * Rename debian-changes-2.0.0-0ubuntu1 to kubuntu_01_include_files.diff and
    strip auto-generated files from the patch.
  * Use the lzma dh sequence.
  * Drop kubuntu_01_phonon.diff, pass DEFINES+=ENABLE_VIDEO to qmake instead.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 27 Feb 2011 11:53:38 +0100

qtwebkit-source (2.1~git20110120-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * Trimmed off unnecessary directories to make tar a sane size
  * Don't run dh_auto_build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Jan 2011 17:44:46 +0000

qtwebkit-source (2.1~git20101116-0ubuntu9) natty; urgency=low

  * Fix installation destination of qt_webkit_version.pri (LP: #681345)

 -- Rico Tzschichholz <ricotz@t-online.de>  Sat, 04 Dec 2010 21:32:53 +0100

qtwebkit-source (2.1~git20101116-0ubuntu8) natty; urgency=low

  * Install headers to right location, sigh

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 27 Nov 2010 15:02:46 +0000

qtwebkit-source (2.1~git20101116-0ubuntu7) natty; urgency=low

  * Move headers to right directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 27 Nov 2010 11:00:02 +0000

qtwebkit-source (2.1~git20101116-0ubuntu6) natty; urgency=low

  * Copy the correct headers into libqtwebkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Nov 2010 15:38:10 +0000

qtwebkit-source (2.1~git20101116-0ubuntu5) natty; urgency=low

  * Really fix sed rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Nov 2010 12:03:59 +0000

qtwebkit-source (2.1~git20101116-0ubuntu4) natty; urgency=low

  * Fix sed rule

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 23:26:56 +0000

qtwebkit-source (2.1~git20101116-0ubuntu3) natty; urgency=low

  * In debian/rules run sed to fix full paths in .h files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Nov 2010 11:08:07 +0000

qtwebkit-source (2.1~git20101116-0ubuntu2) natty; urgency=low

  * Add flex, bison and libfontconfig1-dev build-depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Nov 2010 17:46:41 +0000

qtwebkit-source (2.1~git20101116-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * Merge with Debian, remaining changes:
   - build with lzma
  * Add build-dep on qtmobility-dev
  * Build system changed to build-webkit script as documented by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Nov 2010 11:56:38 +0000

qtwebkit (2.1~week35-1) UNRELEASED; urgency=low

  * New upstream release: switch to Qt WebKit 2.1 branch.
  * Remove 0002_add_webkit_qt_config.patch - merged upstream.
  * Update libqtwebkit-dev.install file: add qwebkitplatformplugin.h.

 -- Fathi Boudra <fabo@debian.org>  Sun, 05 Sep 2010 09:08:05 +0300

qtwebkit (2.0~week32-2) UNRELEASED; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Add 0002_add_webkit_qt_config.patch to include webkit in QT_CONFIG.
  * Update debian/control:
    - build depends on Qt 4.7.0 beta 2.
    - add libqtwebkit-qmlwebkitplugin package.
  * Update debian/rules:
    - pass DEFINES+=ENABLE_VIDEO to build with audio/video support.

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Jul 2010 13:24:07 +0300
