=== debian/control ===
Source: qtwebkit-source
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), pkg-kde-tools (>= 0.6.4),
 libqt4-dev (>= 4:4.6.0), libqt4-opengl-dev (>= 4:4.6.0),
 libphonon-dev (>= 4:4.6.0), libicu-dev, libsqlite3-dev,
 libxext-dev, libxrender-dev, gperf
Standards-Version: 3.9.0
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
XS-Debian-Vcs-Git: git://git.debian.org/pkg-kde/qt/qtwebkit.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtwebkit.git;a=summary

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit4 (= ${binary:Version}),
 libqt4-dev (>= 4:4.6.0)
Replaces: libqt4-dev (<= 4:4.7.0~beta1), libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libqtwebkit4-declarative (<< 2.1~git20101116-0ubuntu1)
Breaks: libqtwebkit4-declarative (<< 2.1~git20101116-0ubuntu1)
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-declarative
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit-qmlwebkitplugin
Description: Qt WebKit QML plugin (dummy package)
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This is a dummy package to bring in libqtwebkit-qmlwebkitplugin, it can be
 safely removed.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit4 (= ${binary:Version})
Replaces: libqt4-webkit-dbg (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit-dbg (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.
