=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper,lzma

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+=ENABLE_VIDEO
	dh_auto_configure --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=debian/qtdesigner-qwebview

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=debian/qtdesigner-qwebview
	rm -f imports/QtWebKit/libqmlwebkitplugin.so JavaScriptCore/release/libjscore.a
	rm -rf lib

override_dh_makeshlibs:
	dh_makeshlibs -V
