## qtwebkit-source 2.2~2011week36

=== debian/changelog ===
qtwebkit-source (2.2~2011week36-0ubuntu1) oneiric; urgency=low

  * New upstream release (2.2.0 RC1).
    - Drop kubuntu_fix_jit_warnings_i386.diff, applied upstream.
    - Fixes crash in amarok wikipedia applet. (LP: #846709)
  * Add Vcs-Bzr control field.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 19 Sep 2011 17:57:06 +0200

qtwebkit-source (2.2~2011week34-0ubuntu1) oneiric; urgency=low

  * New upstream release (LP: #844792)
    - Drop kubuntu_gstreamer_build_fix.diff, applied upstream
    - Refresh stabs_format_debug_info.diff
    - Use WTF_USE_GSTREAMER instead of USE_GSTREAMER

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 30 Aug 2011 19:42:50 +0200

qtwebkit-source (2.2~2011week27-0ubuntu2) oneiric; urgency=low

  * Build for multiarch, required since qt4-x11 has switched over.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2011 00:38:53 -0700

qtwebkit-source (2.2~2011week27-0ubuntu1) oneiric; urgency=low

  * Merge from Debian vcs, remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.
    - Add qwebview designer plugin.
    - Drop qtmobility-dev build-dependency and disable geolocation.
    - Make libqtwebkit-dev depend on ${shlibs:Depends} as we are shipping
      the qwebview designer plugin.
  * Drop transitional package libqtwebkit4-declarative.
  * New upstream release.
  * Refresh patches.
  * Drop kubuntu_01_include_files.diff, not needed anymore.
  * Disable linux_amd64_no_overcommit.diff, fixed upstream.
  * Disable 05_sparc_unaligned_access.diff, 06_kfreebsd_strnstr.diff and
    09_hurd.diff for now, architectures not supported on Ubuntu.
  * Use the GStreamer multimedia backend.
    - Build-depend on libgstreamer0.10-dev and
      libgstreamer-plugins-base0.10-dev.
  * Remove upstream Source/Makefile which makes dh_auto_clean fail.
  * Fix include and lib path in qtdesigner-qwebview/qwebview.pro.
  * Add README.source explaining how to create a new upstream tarball.
  * Add kubuntu_fix_jit_warnings_i386.diff to fix FTBFS on i386 due to -Werror.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 20 Jul 2011 14:43:31 +0200

qtwebkit (2.1.0~2011week13-3) UNRELEASED; urgency=low

  [ Pino Toscano ]
  * Use wildcard architectures:
    - !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 -> linux-any
    - kfreebsd-i386 kfreebsd-amd64 hurd-i386 -> !linux-any

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 21 Jun 2011 12:52:21 +0200

qtwebkit (2.1.0~2011week13-2) unstable; urgency=low

  * Add defines_qt_webkit.diff to display correctly documentation in Qt Creator
    Help plugin. (Closes: #619443)
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jun 2011 12:35:00 +0300

qtwebkit (2.1.0~2011week13-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Add linux_amd64_no_overcommit.diff to avoid crashes on amd64 with less than
    3 or 4GB of RAM. Thanks to Felix Geyer for his help with this issue.

  [ Fathi Boudra ]
  * Ship libqtwebkit-qmlwebkitplugin package. (Closes: #601650)
  * Drop webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 06 Apr 2011 11:37:59 +0300

qtwebkit (2.1.0~2011week09-3) unstable; urgency=high

  * Rename 08_powerpc_s390_no_gc_sections.diff to no_gc_sections.diff and
    extend it to cover armel and mip* as well. Full list: powerpc, s390, arm*,
    mips*.
  * Really replace -g with -gstabs on s390, mips, mipsel and armel. Previously
    it used to grab -g from environment CXXFLAGS.  Hopefully this will truly
    fix OOMs when linking. (Closes: #618325)
  * Urgency=high, transition stuff.

 -- Modestas Vainius <modax@debian.org>  Mon, 28 Mar 2011 03:36:12 +0300

qtwebkit (2.1.0~2011week09-2) unstable; urgency=high

  [ Pino Toscano ]
  * Build-depend on libphonon-dev on non-Linux architectures. (Closes: #617656)

  [ Modestas Vainius ]
  * Build with -gstabs on armel (Closes: #618325). Added to the
    stabs_format_debug_info.diff patch (former
    07_s390_stabs_format_debugging_information.diff).
  * Urgency=high, transition stuff.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 24 Mar 2011 16:12:43 +0200

qtwebkit (2.1.0~2011week09-1) unstable; urgency=low

  * New upstream release - upload to Sid.
  * Add webcore_qtplatformplugin_createfullscreenvideohandler_ftbfs.patch to
    work around the build failure.
  * Switch to Qt MultimediaKit for the video support (instead of Phonon), build
    depends on QtMultimediaKit.
  * Enable geolocation support: build depends on QtLocation and define
    ENABLE_GEOLOCATION.

 -- Fathi Boudra <fabo@debian.org>  Sun, 06 Mar 2011 10:05:46 +0200

qtwebkit (2.1.0~2011week03-1) experimental; urgency=low

  * New upstream release: switch to Qt WebKit 2.1 branch.

  [ Fathi Boudra ]
  * Update debian/control:
    - build depends on Qt 4.7.0 beta 2.
  * Update debian/rules:
    - pass DEFINES+=ENABLE_VIDEO to build with audio/video support.
  * Update libqtwebkit-dev.install file: add qwebkitplatformplugin.h.

  [ Modestas Vainius ]
  * Fix debian/control Vcs fields to point to the new location.

  [ Pino Toscano ]
  * Add patch 09_hurd.diff to fix compilation on Hurd.

 -- Fathi Boudra <fabo@debian.org>  Sat, 29 Jan 2011 18:23:41 +0200
