=== debian/control ===
Source: qtwebkit-source
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15),
               gperf,
               libicu-dev,
               libphonon-dev [!linux-any],
               libqt4-dev (>= 4:4.7.0),
               libqt4-opengl-dev (>= 4:4.7.0),
               libsqlite3-dev,
               libxext-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.6.4),
               libgstreamer0.10-dev,
               libgstreamer-plugins-base0.10-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtwebkit
XS-Debian-Vcs-Git: git://git.debian.org/pkg-kde/qt/qtwebkit.git
XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt/qtwebkit.git;a=summary

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev (>= 4:4.7.0),
         libqtwebkit4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt4-dev (<= 4:4.7.0~beta1), libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqtwebkit4-declarative (<< 2.1~git20101116)
Breaks: libqtwebkit4-declarative (<< 2.1~git20101116)
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqtwebkit4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit-dbg (<< 4:4.7.0~beta2-0ubuntu2)
Breaks: libqt4-webkit-dbg (<< 4:4.7.0~beta2-0ubuntu2)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.
