## qtwebkit-source 2.2.1

=== debian/changelog ===
qtwebkit-source (2.2.1-4ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Compress binary packages with xz.
    - Add kubuntu_01_workaround_-Werror_deprecated-declarations.diff
  * Switch from lzma to xz compression.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 05 Aug 2012 10:15:41 +0200

qtwebkit (2.2.1-4) unstable; urgency=high

  * Confirm new symbol file on all arches except armel and mipsel. However,
    hopefully, it will work on those two as well.
  * Urgency=high because we need multi-arch capable QtWebKit in testing as
    multi-arch Qt4 and non-multiarch QtWebKit do not play well for development
    purposes.

 -- Modestas Vainius <modax@debian.org>  Sun, 13 May 2012 12:24:37 +0300

qtwebkit (2.2.1-3) unstable; urgency=low

  * Build Source/WebCore/generated/* with hidden visibility as well (patch
    webkit_qt_hide_symbols.diff). This reduces a symbol file a lot and brings
    it back to manageable state.
  * Update symbol file: a bunch of private WebCore symbols are gone from
    symbol table now.

 -- Modestas Vainius <modax@debian.org>  Sat, 12 May 2012 20:58:34 +0300

qtwebkit (2.2.1-2) unstable; urgency=low

  * Upload to Sid.

  [ Fathi Boudra ]
  * Build with -gstabs on armhf instead of -g, like armel.

  [ Pino Toscano ]
  * glibc_mkspec.diff: rename to glibc_hurd_mkspecs.diff, and extend to
    apply also to the hurd-g++ mkspec.
  * Bump Qt build dependency to 4:4.8.1 (for the change in paths of QML
    imports).
    - update debian/libqtwebkit-qmlwebkitplugin.install accordingly
    - mark libqtwebkit-qmlwebkitplugin as Multi-Arch: same
  * Remove ${shlibs:Depends} from libqtwebkit4-dbg.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 May 2012 15:07:39 +0300

qtwebkit-source (2.2.1-1ubuntu4) precise; urgency=low

  * Fix both causes of armhf build failures (LP: #945393):
    - Update symbols file to duplicate armel entries as armhf.
    - Build with -gstabs on armhf instead of -g, like armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 10 Mar 2012 20:31:31 -0700

qtwebkit-source (2.2.1-1ubuntu3) precise; urgency=low

  * Update symbols for armel (LP: #945393)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 05 Mar 2012 19:32:39 +0100

qtwebkit-source (2.2.1-1ubuntu2) precise; urgency=low

  * Include symbols file for powerpc

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 02 Feb 2012 05:21:31 +0000

qtwebkit-source (2.2.1-1ubuntu1) precise; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Update symbols file.

  [ Fathi Boudra ]
  * Add Fix_build_with_GLib_2.31_changeset_r97269.patch from upstream.
  * Add kubuntu_01_workaround_-Werror_deprecated-declarations.diff
  * Drop override_dh_makeshlibs: do not pass -c0 to dh_makeshlibs.
  * Merge from Debian:
    - drop adjust_symbols_visibility_for_webcore.diff - stolen upstream.
    - update debian/compat: bump to 9.
    - bump Qt build dependency to 4:4.8.0~.
    - drop libphonon-dev build dependency.
  * Remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.
  * Update symbols file.

 -- Fathi Boudra <fabo@debian.org>  Tue, 10 Jan 2012 11:53:46 +0200

qtwebkit (2.2.1-1) experimental; urgency=low

  * New upstream release.
  * Drop adjust_symbols_visibility_for_webcore.diff - stolen upstream.
  * Update debian/compat: bump to 9.
  * Update debian/control:
    - bump Qt build dependency to 4:4.8.0~. This version introduce multiarch.
    - add Multi-Arch and Pre-Depends fields to libqtwebkit4 package.
  * Update debian/*.install files for multiarch.

 -- Fathi Boudra <fabo@debian.org>  Wed, 28 Dec 2011 10:10:59 +0200

qtwebkit-source (2.2~2011week36-1ubuntu4) precise; urgency=low

  * Re-apply changes that have been dropped in the last upload:
    - Add 0001_fix_symbols_visibility_for_webcore.diff, the patch is *not*
      upstream.
    - Pass -c0 to dpkg-gensymbols.
    - Use dh_auto_* instead of calling (q)make directly.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 23 Nov 2011 20:44:07 +0100

qtwebkit-source (2.2~2011week36-1ubuntu3) precise; urgency=low

  [ Jonathan Riddell ]
  * Merge from Debian vcs, remaining changes:
    - Rename source package to qtwebkit-source.
    - Use the lzma dh sequence.

  [ Felix Geyer ]
  * Add a symbols file.
  * Add ${misc:Pre-Depends} to libqtwebkit4 Pre-Depends.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 29 Oct 2011 16:48:29 +0200

qtwebkit (2.2.0-5) unstable; urgency=low

  * Update symbol file with the latest changes from the build logs.
  * Mark a bunch of other internal WebCore namespace symbols as
    optional=private.
  * Mark some external symbols as optional=external.

 -- Modestas Vainius <modax@debian.org>  Mon, 16 Apr 2012 23:35:59 +0300

qtwebkit (2.2.0-4) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Add -Wl,--no-relax to the LDFLAGS on alpha. (Closes: #656056)
  * Update the symbols file for alpha, armhf and ppc64, and for all the other
    archs from their build logs. (Closes: #653905, #656056, #664897)
  * Backport (parts of) upstream r93631 and r113848 to fix building with
    GCC 4.7. (Closes: #667346)

  [ Felix Geyer ]
  * Add Fix_build_with_GLib_2.31_changeset_r97269.patch, cherry-picked from
    upstream. (Closes: #665679)
  * Bump debhelper compat level to v9.
    - Use DEB_<flag>_MAINT variables instead of manipulating the flag variables
      directly.
  * Bump Standards-Version to 3.9.3, no changes needed.

  [ Modestas Vainius ]
  * Mark symbols having 'Private' in their name as optional=private.
  * Mark '^ _ZN7WebCore' symbols as optional=private. They are not part of
    public API.

 -- Modestas Vainius <modax@debian.org>  Sun, 15 Apr 2012 21:16:49 +0300

qtwebkit (2.2.0-3) unstable; urgency=low

  [ Fathi Boudra ]
  * Update the symbols file for ia64 and mipsel architectures.

  [ Pino Toscano ]
  * Add patch hurd.diff to temporarly workaround build failure on Hurd.

