=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

QWEBVIEW_DIR=debian/plugins/qwebview

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP := -g
    export DEB_CFLAGS_MAINT_APPEND := -gstabs
    export DEB_CXXFLAGS_MAINT_STRIP := -g
    export DEB_CXXFLAGS_MAINT_APPEND := -gstabs
endif
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

%:
	dh $@ --sourcedirectory=Source --buildsystem=qmake --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper,xz

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+=ENABLE_VIDEO=1 DEFINES+=WTF_USE_GSTREAMER=1
	dh_auto_configure --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=$(QWEBVIEW_DIR)

override_dh_auto_clean:
	rm -f Source/Makefile
	dh_auto_clean
	dh_auto_clean --sourcedirectory=$(QWEBVIEW_DIR)
